<?php 
/**
 * Zn Facebook share! by znjoomla.blogspot.com
 * 
 * @package    ZnJoomla.blogspot.com 
 * @subpackage Plugins
 * @link http://znjoomla.blogspot.com/
 * @license        GNU/GPL, see http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * plug_znfbshare is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin' );
class plgContentZnfbshare extends JPlugin
{
function plgContentZnfbshare( &$subject, $params )
	{
		parent::__construct( $subject, $params );
		// load the plugin parameters
            $this->_plugin = JPluginHelper::getPlugin( 'content', 'znfbshare' );
            $this->_params = new JParameter( $this->_plugin->params );
			
		// return if params are empty
            if(!$this->_params){ return;}
			
		//basic params
            $this->_fpage      		= $this->_params->def('fpage','1'); //show/hide on frontpage
            $this->_hsection        = $this->_params->def( 'hsection', '0' ); //Show/Hide on Section view
			$this->_hcategory       = $this->_params->def( 'hcategory', '0' ); //Show/Hide on Category view
			$this->_skipitemid      = $this->_params->def('skipitemid',''); //show/hide for specific itemid
            $this->_citemid      	= JRequest::getCmd('Itemid'); //get the current itemId
            $this->_znskipiid       = $this->_params->def( 'znskipiid', '' ); //hide on theese itemId's
            $this->_znskipsid       = $this->_params->def( 'znskipsid', '' ); //hide on theese sections Id's
			$this->_znskipcid       = $this->_params->def( 'znskipcid', '' ); //hide on theese categories Id's
		//Fb share related params
            $this->_znfbsharelayout = $this->_params->def( 'znfbsharelayout', 'box_count' );
            $this->_znfbsharepos 	= $this->_params->def( 'znfbsharepos', 5 );


	}
	function onPrepareContent( &$article, &$params, $limitstart )
	{ 
		// return if params are empty
			if(!$this->_params){ return;}


			global $mainframe;
			
		// Show/ Hide in different settings
			if((JRequest::getCmd('view') == 'frontpage') && !$this->_fpage){return ;}
				
            if((JRequest::getCmd('view') == 'category') && !$this->_hcategory){return;}

            if((JRequest::getCmd('view') == 'section') && !$this->_hsection){return;}
				
		//hide on menu itemids
                if($this->_znskipiid != '' && $this->_citemid != '')
                {
                    $exclude_itemids = explode (",", $this->_znskipiid);
                    foreach ($exclude_itemids as $eiid){if ($this->_citemid == $eiid){ return; }}
                }

        //hide on sections
                if($this->_znskipsid != '' && $article->sectionid !=  NULL )
                {
                    $exclude_section = explode (",", $this->_znskipsid);
                    foreach ($exclude_section as $esid){if ($article->sectionid == $esid){ return; }}
                }
                 
        //hide on categories
                if($this->_znskipcid != '' && $article->catid !=  NULL)
                {
                    $exclude_category = explode (",", $this->_znskipcid);
                    foreach ($exclude_category as $ecid){if ($article->catid == $ecid){ return; }}
                }
				
			$uri		= JFactory::getURI();
			$host		= $uri->toString( array ('scheme', 'host', 'port' ) );
			if(!class_exists('ContentHelperRoute')) require_once (JPATH_SITE . '/components/com_content/helpers/route.php');
            $slink 		= JRoute::_(ContentHelperRoute::getArticleRoute($article->slug, $article->catslug, $article->sectionid));
			$link 		= $host.$slink;
            
				
			$znfbshare 	= '<a name="fb_share" type="'.$this->_znfbsharelayout.'" share_url="'.$link.'" href="http://www.facebook.com/sharer.php">Share</a><script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script>';

			 switch ($this->_znfbsharepos)
                    {
                        case 1:
                            $article->text =  $znfbshare.$article->text;
                            break;
                        case 2:
                            $article->text =  $article->text.$znfbshare;
                            break;
                        case 3:
                            $article->text =  $znfbshare.$article->text.$znfbshare;
                            break;
						case 4:
                            $article->text =  '<span style="float:left;">'.$znfbshare.'</span>'.$article->text;
                            break;
						case 5:
                            $article->text =  '<span style="float:right;">'.$znfbshare.'</span>'.$article->text;
                            break;
                    }		
	}
}
?>